PAUSE(3)

NAME
pause - suspend a process until a signal arrives.

SYNOPSIS
#include <unistd.h>

int pause (void);

DESCRIPTION
This function is obsoleted by sigpause(2).

The pause function forces a process to pause until any signal arrives. Upon termination of a signal handler started during a pause, the pause call will return.

RETURN VALUES
Always returns -1.

ERRORS
The pause function always returns:

    EINTR
        The call was interrupted.

SEE ALSO
kill(2), select(2), sigpause(2)

HISTORY
A pause syscall appeared in v6.